Home

# Class goog.dom.TextRangeIterator

Subclass of goog.dom.TagIterator that iterates over a DOM range. It adds functions to determine the portion of each text node that is selected.

extends goog.dom.RangeIterator

Instance Method Summary
| `clone() ⇒ ?goog.dom.TextRangeIterator`
| `copyFrom(?goog.dom.TextRangeIterator other)` Replace this iterator's values with values from another.
| `getEndNode() ⇒ ?Node`
| `getEndTextOffset() ⇒ number`
| `getStartNode() ⇒ ?Node`
| `getStartTextOffset() ⇒ number`
| `isLast() ⇒ boolean`
| `next() ⇒ ?Node` Move to the next position in the selection. Throws {@code goog.iter.StopIteration} when it passes the end of the range.
| `setEndNode(?Node node)` Change the end node of the iterator.
| `setStartNode(?Node node)` Change the start node of the iterator.
| `skipTag()` Skip the current tag.